<?php

namespace App\Admin\Repositories;

use App\Models\DistAppearanceVariable as Model;
use Dcat\Admin\Form;
use Dcat\Admin\Repositories\EloquentRepository;

class DistAppearanceVariable extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;


    public static function getVariableRow($distId,$appearanceId,$templateId)
    {
        $model = new Model();
        $variable = $model->where('dist_id',$distId)->where('appearance_id',$appearanceId)->whereIn('template_ids',[0,$templateId])->get();
        if($variable){
            return $variable;
        }else{
            return '';
        }
    }






}
